/* Keep the footer at the bottom, even with not enough content. */
.section {
    flex-grow: 1;
}
.header {
    max-height: 4rem;
}

.content h1,
.content h2 {
    font-family: 'montserrat-medium';
}
.content h2 {
    border-bottom: 1px solid var(--cirrus-gray);
}
.content blockquote h3,
.content blockquote h4 {
    font-family: 'montserrat-medium';
}

.border-orange-300 {
    border-color: #f6b65c!important;
}

.tag--alignment {
    font-size: 100%;
    padding: 0;
    background: transparent;
}
.alignments span.tag:not([data-id]) {
    border-bottom: 1px dotted currentColor;
    border-color: red;
}

.toast {
    /* Useful for well aligned forms rendering. */
    margin: 0;
}

textarea {
    /* Useful to limit the autoExpand in JS. */
    min-height: 5em;
    max-height: 25vh;
}

.modal .modal-content {
    /* Otherwise, the modal width is dynamic and causes
    some annoying reflows combined with the autocomplete dropdown. */
    min-width: 80%;
}

blockquote p {
    /* Otherwise, we cannot make the distinction between linebreaks
    and paragraphs when we display texts and alignments. */
    margin: inherit;
}

:target {
    background: LightGoldenRodYellow;
}

.input-error input:not([type=checkbox]):not([type=radio]):not([type=submit]):not([type=button]):not([type=reset]) {
    border-color:var(--cirrus-danger);
    background-color:rgba(244,67,54,.05)!important
}

.i18n-item {
    border-radius: .25rem;
    width: 100%;
}
.i18n-item:hover {
    background: #fdeed1;
}
.i18n-item a {
    margin-top: -2px;
}

.mb--1 {
    margin-bottom: -1rem;
}
.mr--1 {
    margin-right: -1rem;
}

.tag.tag--halflarge {
    font-size: 110%;
    padding: .1rem .6rem;
}
.tag-container-expand .tag--hover {
    width: 0 !important;
    padding: .1rem 0 !important;
    visibility: hidden;
    transition-property: width, padding;
    transition-duration: .4s;
    transition-timing-function: ease-in-out;
}
.tag-container-expand .tag--update,
.tag-container-expand .tag--delete {
    border-radius: .25rem !important;
}
.tag-container-expand:hover .tag--hover {
    width: 6rem !important;
    padding: .1rem .6rem !important;
    visibility: visible;
    transition-property: width, padding;
    transition-duration: .4s;
    transition-timing-function: ease-in-out;
    border-radius: 0 .25rem .25rem 0 !important;
}
.tag-container-expand:hover .tag--update,
.tag-container-expand:hover .tag--delete {
    border-radius: .25rem 0 0 .25rem !important;
}
h2.tag-container-expand a {
    font-size: 1.1rem;
}
.tag.bg-orange-300.u::after {
    background: #842b09;
    bottom: 0;
}
.tag.bg-orange-800.u::after {
    background: #f6b65c;
    bottom: 0;
}


.tag a {
    color: inherit;
    font-weight: inherit;
}
.svgicon {
    display: inline-block;
    width: 1.25rem;
    height: 1.25rem;
    stroke-width: 0;
    stroke: currentColor;
    fill: currentColor;
}
.svgicon-cross {
    color: white;
}

.content summary {
    font-size: 1.7rem;
}

ul.twocols {
    columns: 2;
}

.card-alignment {
    position: sticky;
    bottom: 0.5rem;
    max-width: 60em;
    margin: 0 auto;
    width: 80%;
}

/* Custom pagination with more room for titles. */
.pagination.pagination-bordered .pagination-item.short a {
    min-width: 10rem;
    text-align: center;
}
.pagination .pagination-item.short:first-child a {
  border-top-left-radius: .25rem;
  border-bottom-left-radius: .25rem;
}
.pagination .pagination-item.short:last-child a {
  border-top-right-radius: .25rem;
  border-bottom-right-radius: .25rem;
}

footer.footer {
    /* Aztec pattern from https://www.heropatterns.com/ by Steve Schoger, licensed under CC BY 4.0 */
    background-image: url("data:image/svg+xml,%3Csvg width='32' height='64' viewBox='0 0 32 64' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0 28h20V16h-4v8H4V4h28v28h-4V8H8v12h4v-8h12v20H0v-4zm12 8h20v4H16v24H0v-4h12V36zm16 12h-4v12h8v4H20V44h12v12h-4v-8zM0 36h8v20H0v-4h4V40H0v-4z' fill='%239C92AC' fill-opacity='0.4' fill-rule='evenodd'/%3E%3C/svg%3E");
    background-repeat: repeat-x;
    background-position: bottom;
}

#logout-form {
    display: inline;
}

#logout-form button {
    background: none;
    border: none;
    cursor: pointer;
    padding: .5rem 1rem;
    clear: both;
    line-height: 1.42857143;
    color: var(--header-link-color);
    letter-spacing: .01rem;
    height: 36px;
    line-height: 20px;
    font-size: 0.9em;
}